# 德铭app客户端
## 使用
- scss
- uniapp
- 组建库待定
## 目录结构
```1=
|-pages tabes 目录
|-pageA 前期注册用页面 
|-pageB 首页类页面
|-pageC 商城下页面
|-pageD 我的页面
|-pageE 其余杂乱页面
|-components 组建目录
|-static 静态文件目录
|-|images 图片文件
|util js库文件
|App.js
|main.js
|pages.json
|manifest.json
|uni.scss
```
## 开发规范
- 使用组建化
- 要使用scss
- 命名尽量规范 可以语义化但不可以胡乱输入
- scss层级关系使用好
- 统一使用rpx
- 组建目录需要根据页面或功能命名子目录
## 分支开发规则
- master分支将开启保护 请使用gitea合并功能
- 每人各自工作分支 每天合并
- 合并请及时拉取处理冲突
